Bug Hunting Session
Bug 118835 - FILESAVE: saved pptx that contains color transform animation corrupts
Summary: FILESAVE: saved pptx that contains color transform animation corrupts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2018-07-18 22:08 UTC by Mark Hung
Modified: 2018-07-26 10:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file. (11.35 KB, application/vnd.oasis.opendocument.presentation)
2018-07-18 22:09 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2018-07-18 22:08:40 UTC
Steps to reproduce:
1. Open the attached file.
2. Save as pptx.
3. open it in Powerpoint.

Actual result: Powerpoint report the file is corrupted.
Expected result: file should open and the animations contained should act normally when played.
Comment 1 Mark Hung 2018-07-18 22:09:19 UTC
Created attachment 143628 [details]
Sample file.
Comment 2 Commit Notification 2018-07-24 10:11:09 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e65da112029bf7b6a3b5d94b72bcd5d6ca225195

tdf#118835 fix missing attribute name conversion.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-07-24 10:12:41 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a79db85be2520de3ca5d2c52eacdb58bc17fec8

tdf#118835 export animClr element. ( handle AnimateColor ).

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Mark Hung 2018-07-26 10:05:05 UTC
Despite some color changing effects are missing, it no longer shows file corrupted error message in Powerpoint.